uniform sampler2D texture1;
uniform sampler2D texture2;
uniform sampler2D texture3;
uniform sampler2D texture4;

uniform float Param;
varying vec3 lightDir;
varying vec3 halfVector;

void main()
{
	const float overBright = 1.0;

	vec3 halfV, lightColor ;
	float NdotHV, NdotL;
	vec4 tex0 = texture2D(texture1, gl_TexCoord[0].st);
	vec4 tex1 = texture2D(texture2, gl_TexCoord[1].st);

	vec3 n0 = 2.0 * texture2D(texture3, gl_TexCoord[0].st).rgb - 1.0;
	vec3 n1 = 2.0 * texture2D(texture4, gl_TexCoord[1].st).rgb - 1.0;
	
	//n = normalize(mix(n0,n1,Param));
	vec3 n = normalize((1.0 - Param) * n0 + n1 * Param);

	NdotL = max(dot(n,normalize(lightDir)),0.0) * overBright;
	lightColor = gl_LightSource[0].ambient.rgb; 

	if (NdotL > 0.0) {
		lightColor += gl_LightSource[0].diffuse.rgb * NdotL;
	
		halfV = normalize(halfVector);
		NdotHV = max(dot(n,halfV),0.0);
		//lightColor += gl_LightSource[0].specular.rgb * 
		//		  pow(NdotHV, gl_FrontMaterial.shininess);
		lightColor += gl_LightSource[0].specular.rgb * 
				  pow(NdotHV, 65.0);

	}

	gl_FragColor = mix(tex0,tex1,Param) * vec4(lightColor,1.0);
	//gl_FragColor = vec4(mix(n0,n1,Param),1.0);
	//gl_FragColor = vec4(lightColor,1.0);
}



