uniform float Param;
varying vec3 lightColor;

void main()
{
	gl_TexCoord[0] = gl_MultiTexCoord0;
	gl_TexCoord[1] = gl_MultiTexCoord1;

	//Calculate new interpolated world pos
	vec4 worldPos = gl_Vertex + vec4(gl_MultiTexCoord4.xyz,0.0)*Param;
    
    //Calculate interpolated normal
    vec3 N = gl_NormalMatrix * (gl_Normal + gl_Color.xyz*Param);
    //vec3 N = gl_NormalMatrix * gl_Normal;


    vec3 lightDir = normalize(gl_LightSource[0].position.xyz);
    lightColor = max(dot(N,lightDir),0.0) * gl_LightSource[0].diffuse.rgb + gl_LightSource[0].ambient.rgb;

    worldPos.x *= 2.0;
    worldPos.z *= 2.0;
    worldPos.y = -14.6;
    gl_Position = gl_ModelViewProjectionMatrix * worldPos; 
} 

